#!bin/bash

dayOfMonth=`date +%d`

monthOfYear=`date +%m`


voltageToday=monthVoltage"$monthOfYear".txt
currentToday=monthCurrent"$monthOfYear".txt
powerToday=monthPower"$monthOfYear".txt

if [ "$dayOfMonth" == "01" ]
then
#
# Move the month_voltage gnuplot script into the week_voltage directory with the 
#correct date
#
sed s/xxreplacexx/${voltageToday}/g /www/wind/gnuplotMonthVoltage.gnu > /www/wind/month_voltage/month_voltage.gnu


#
#Move the month _current gnuplot script into the month_current directory with the correct date
#

sed s/xxreplacexx/${currentToday}/g /www/wind/gnuplotMonthCurrent.gnu > /www/wind/month_current/month_current.gnu

#
#Move the month_power gnuplot script into the month_power directory with the correct date
#

sed s/xxreplacexx/${powerToday}/g /www/wind/gnuplotMonthPower.gnu > /www/wind/month_power/month_power.gnu

else
echo "not 1st of month"

fi

