#!/bin/bash
DayOfWeek=`date +%A`

WeekNumberOfYear=`date +%U`

voltageToday=weekVoltage"$WeekNumberOfYear".txt
currentToday=weekCurrent"$WeekNumberOfYear".txt
powerToday=weekPower"$WeekNumberOfYear".txt

if [ "$DayOfWeek" == "Sunday" ]
then
#
# Move the week_voltage gnuplot script into the week_voltage directory with the correct date
#
sed s/xxreplacexx/${voltageToday}/g /www/wind/gnuplotWeekVoltage.gnu > /www/wind/week_voltage/week_voltage.gnu

#
#Move the week_current gnuplot script into the week_current directory with the correct date
#


sed s/xxreplacexx/${currentToday}/g /www/wind/gnuplotWeekCurrent.gnu > /www/wind/week_current/week_current.gnu

#
#Move the week_power gnuplot script into the week_power directory with the correct date
#


sed s/xxreplacexx/${currentToday}/g /www/wind/gnuplotWeekPower.gnu > /www/wind/week_power/week_power.gnu

fi
