#!/bin/bash
dayOfYear=`date +%j`

year=`date +%y`

voltageYear=yearVoltage"$year".txt
currentYear=yearCurrent"$year".txt
powerYear=yearPower"$year".txt

if [ "$dayOfYear" == "001" ]
then
#
# Move the year_voltage gnuplot script into the year_voltage directory with the correct date
#
sed s/xxreplacexx/${voltageYear}/g /www/wind/gnuplotYearVoltage.gnu > /www/wind/year_voltage/year_voltage.gnu

#
#Move the year_current gnuplot script into the year_current directory with the correct date
#

sed s/xxreplacexx/${currentYear}/g /www/wind/gnuplotYearCurrent.gnu > /www/wind/year_current/year_current.gnu

#
# Move the year_power gnuplot script into the year_power directory with the current date 
#

sed s/xxreplacexx/${powerYear}/g /www/wind/gnuplotYearPower.gnu > /www/wind/year_power/year_power.gnu
fi
